## ros-perception-pcl 1.7.2

=== pcl_ros/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pcl_ros)

add_compile_options(-std=c++14)

## Find system dependencies
find_package(PCL REQUIRED COMPONENTS core features filters io segmentation surface)
find_package(cmake_modules REQUIRED)
find_package(Boost REQUIRED COMPONENTS system filesystem thread)
find_package(Eigen3 REQUIRED)

if(NOT "${PCL_LIBRARIES}" STREQUAL "")
  # For debian: https://github.com/ros-perception/perception_pcl/issues/139
  list(REMOVE_ITEM PCL_LIBRARIES
    "vtkGUISupportQt"
    "vtkGUISupportQtOpenGL"
    "vtkGUISupportQtSQL"
    "vtkGUISupportQtWebkit"
    "vtkViewsQt"
    "vtkRenderingQt")
endif()

# There is a bug in the Ubuntu Artful (17.10) version of the VTK package,
# where it includes /usr/include/*-linux-gnu/freetype2 in the include
# directories (which doesn't exist).  This filters down to the PCL_INCLUDE_DIRS,
# and causes downstream projects trying to use these libraries to fail to
# configure properly.  Here we remove those bogus entries so that downstream
# consumers of this package succeed.
if(NOT "${PCL_INCLUDE_DIRS}" STREQUAL "")
  foreach(item ${PCL_INCLUDE_DIRS})
    string(REGEX MATCH "/usr/include/.*-linux-gnu/freetype2" item ${item})
    if(item)
      list(REMOVE_ITEM PCL_INCLUDE_DIRS ${item})
    endif()
  endforeach()
endif()

## Find catkin packages
find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
  geometry_msgs
  message_filters
  nodelet
  nodelet_topic_tools
  pcl_conversions
  pcl_msgs
  pluginlib
  rosbag
  rosconsole
  roscpp
  roslib
  sensor_msgs
  std_msgs
  tf
  tf2
  tf2_eigen
  tf2_ros
)

## Add include directories
include_directories(include)

include_directories(
  SYSTEM
    ${Boost_INCLUDE_DIRS}
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
    ${PCL_INCLUDE_DIRS}
)

## Generate dynamic_reconfigure
generate_dynamic_reconfigure_options(
  cfg/EuclideanClusterExtraction.cfg
  cfg/ExtractIndices.cfg
  cfg/ExtractPolygonalPrismData.cfg
  cfg/Feature.cfg
  cfg/Filter.cfg
  cfg/MLS.cfg
  cfg/SACSegmentation.cfg
  cfg/SACSegmentationFromNormals.cfg
  cfg/SegmentDifferences.cfg
  cfg/StatisticalOutlierRemoval.cfg
  cfg/RadiusOutlierRemoval.cfg
  cfg/VoxelGrid.cfg
  cfg/CropBox.cfg
)

## Declare the catkin package
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
    pcl_ros_filter
    pcl_ros_tf
  CATKIN_DEPENDS
    dynamic_reconfigure
    geometry_msgs
    message_filters
    nodelet
    nodelet_topic_tools
    pcl_conversions
    pcl_msgs
    rosbag
    roscpp
    sensor_msgs
    std_msgs
    tf
    tf2
    tf2_eigen
    tf2_ros
  DEPENDS
    Boost
    EIGEN3
    PCL
)

## Declare the pcl_ros_tf library
add_library(pcl_ros_tf src/transforms.cpp)
target_link_libraries(pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_tf ${catkin_EXPORTED_TARGETS})

## Nodelets

## Declare the pcl_ros_io library
add_library(pcl_ros_io
  src/pcl_ros/io/bag_io.cpp
  src/pcl_ros/io/concatenate_data.cpp
  src/pcl_ros/io/concatenate_fields.cpp
  src/pcl_ros/io/io.cpp
  src/pcl_ros/io/pcd_io.cpp
)
target_link_libraries(pcl_ros_io pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
class_loader_hide_library_symbols(pcl_ros_io)

## Declare the pcl_ros_features library
add_library(pcl_ros_features
  src/pcl_ros/features/feature.cpp
  # Compilation is much faster if we include all the following CPP files in feature.cpp
  src/pcl_ros/features/boundary.cpp
  src/pcl_ros/features/fpfh.cpp
  src/pcl_ros/features/fpfh_omp.cpp
  src/pcl_ros/features/shot.cpp
  src/pcl_ros/features/shot_omp.cpp
  src/pcl_ros/features/moment_invariants.cpp
  src/pcl_ros/features/normal_3d.cpp
  src/pcl_ros/features/normal_3d_omp.cpp
  src/pcl_ros/features/pfh.cpp
  src/pcl_ros/features/principal_curvatures.cpp
  src/pcl_ros/features/vfh.cpp
)
target_link_libraries (pcl_ros_features ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_features ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_features)


## Declare library for base filter plugin
add_library(pcl_ros_filter
  src/pcl_ros/filters/filter.cpp
)
target_link_libraries(pcl_ros_filter pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_filter ${PROJECT_NAME}_gencfg)

## Declare the pcl_ros_filters library
add_library(pcl_ros_filters
  src/pcl_ros/filters/extract_indices.cpp
  src/pcl_ros/filters/passthrough.cpp
  src/pcl_ros/filters/project_inliers.cpp
  src/pcl_ros/filters/radius_outlier_removal.cpp
  src/pcl_ros/filters/statistical_outlier_removal.cpp
  src/pcl_ros/filters/voxel_grid.cpp
  src/pcl_ros/filters/crop_box.cpp
)
target_link_libraries(pcl_ros_filters pcl_ros_filter pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_filters ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_filters)

## Declare the pcl_ros_segmentation library
add_library (pcl_ros_segmentation
  src/pcl_ros/segmentation/extract_clusters.cpp
  src/pcl_ros/segmentation/extract_polygonal_prism_data.cpp
  src/pcl_ros/segmentation/sac_segmentation.cpp
  src/pcl_ros/segmentation/segment_differences.cpp
  src/pcl_ros/segmentation/segmentation.cpp
)
target_link_libraries(pcl_ros_segmentation pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_segmentation ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_segmentation)

## Declare the pcl_ros_surface library
add_library (pcl_ros_surface
  src/pcl_ros/surface/surface.cpp
  # Compilation is much faster if we include all the following CPP files in surface.cpp
  src/pcl_ros/surface/convex_hull.cpp
  src/pcl_ros/surface/moving_least_squares.cpp
)
target_link_libraries(pcl_ros_surface ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_surface ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_surface)

## Tools

add_executable(pcd_to_pointcloud tools/pcd_to_pointcloud.cpp)
target_link_libraries(pcd_to_pointcloud ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})

add_executable(pointcloud_to_pcd tools/pointcloud_to_pcd.cpp)
target_link_libraries(pointcloud_to_pcd ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})

add_executable(bag_to_pcd tools/bag_to_pcd.cpp)
target_link_libraries(bag_to_pcd pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})

add_executable(convert_pcd_to_image tools/convert_pcd_to_image.cpp)
target_link_libraries(convert_pcd_to_image ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})

add_executable(convert_pointcloud_to_image tools/convert_pointcloud_to_image.cpp)
target_link_libraries(convert_pointcloud_to_image ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})

## Downloads

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  catkin_download(table_scene_lms400.pcd http://download.ros.org/data/pcl/table_scene_lms400.pcd
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/samples/data
    MD5 546b5b4822fb1de21b0cf83d41ad6683
  )
  add_custom_target(download ALL DEPENDS download_extra_data)

  find_package(rostest REQUIRED)
  add_rostest_gtest(test_tf_message_filter_pcl tests/test_tf_message_filter_pcl.launch src/test/test_tf_message_filter_pcl.cpp)
  target_link_libraries(test_tf_message_filter_pcl ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
  add_rostest(samples/pcl_ros/features/sample_normal_3d.launch ARGS gui:=false)
  add_rostest(samples/pcl_ros/filters/sample_statistical_outlier_removal.launch ARGS gui:=false)
  add_rostest(samples/pcl_ros/filters/sample_voxel_grid.launch ARGS gui:=false)
  add_rostest(samples/pcl_ros/segmentation/sample_extract_clusters.launch ARGS gui:=false)
  add_rostest(samples/pcl_ros/surface/sample_convex_hull.launch ARGS gui:=false)

endif(CATKIN_ENABLE_TESTING)


install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(
  TARGETS
    pcl_ros_tf
    pcl_ros_io
    pcl_ros_features
    pcl_ros_filter
    pcl_ros_filters
    pcl_ros_surface
    pcl_ros_segmentation
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(
  TARGETS
    pcd_to_pointcloud
    pointcloud_to_pcd
    bag_to_pcd
    convert_pcd_to_image
    convert_pointcloud_to_image
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY plugins samples
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

## ros-perception-pcl 1.7.1

=== debian/changelog ===
ros-perception-pcl (1.7.1-2build2) groovy; urgency=medium

  * Rebuild against new libpcl*1.11.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 20:04:00 +0200

ros-perception-pcl (1.7.1-2build1) groovy; urgency=medium

  * Rebuild against new libtf2-ros1d.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Jul 2020 19:14:32 +0200

ros-perception-pcl (1.7.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 09:06:13 +0200

ros-perception-pcl (1.7.1-1) experimental; urgency=medium

  * Update d/watch to track ROS 1 releases
  * New upstream version 1.7.1
  * Update d/copyright
  * Fix lintian debian-rules-sets-DEB_BUILD_OPTIONS
  * Rebase patches and add one for PCL 1.11
  * bump debhelper version
  * Bump Sonames due to ABI changes

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 14 Jun 2020 21:07:02 +0200

ros-perception-pcl (1.7.0-2) unstable; urgency=medium

  * Fix MA hints
  * Fix spelling
  * Add workaround for full buildpath in generated files

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Apr 2020 20:32:37 +0200

ros-perception-pcl (1.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #951736)

 -- Johannes 'josch' Schauer <josch@debian.org>  Thu, 20 Feb 2020 23:40:35 +0100

=== debian/control ===
Source: ros-perception-pcl
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Johannes 'josch' Schauer <josch@debian.org>
Build-Depends: debhelper-compat (= 13),
		catkin, libpcl-dev, libroscpp-dev, libpcl-msgs-dev, libdynamic-reconfigure-config-init-mutex-dev, libmessage-filters-dev, libnodeletlib-dev, libnodelet-topic-tools-dev, librosbag-dev, libtf-dev, libtf2-eigen-dev, librostest-dev, python3-dynamic-reconfigure, dh-sequence-python3
Standards-Version: 4.5.0
Section: libdevel
Rules-Requires-Root: no
Homepage: http://wiki.ros.org/perception_pcl
Vcs-Browser: https://salsa.debian.org/science-team/ros-perception-pcl
Vcs-Git: https://salsa.debian.org/science-team/ros-perception-pcl.git

Package: libpcl-conversions-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libroscpp-core-dev, libstd-msgs-dev, libpcl-msgs-dev, libsensor-msgs-dev, libeigen3-dev, libpcl-dev, libroscpp-dev
Description: Robot OS library to convert from/to PCL data types
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package provides development headers for converting between
 PCL (Point Cloud Library) data types and ROS message types

Package: pcl-ros-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Bridge between Robot OS library (ROS) and PCL -- Tools
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package includes the tools.

Package: libpcl-ros-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libdynamic-reconfigure-config-init-mutex-dev, libgeometry-msgs-dev, libmessage-filters-dev, libnodeletlib-dev, libnodelet-topic-tools-dev, libpcl-conversions-dev, librosbag-dev, libtf-dev, libtf2-eigen-dev, libpcl-ros-features0d (= ${binary:Version}), libpcl-ros-filter1d (= ${binary:Version}), libpcl-ros-filters0d (= ${binary:Version}), libpcl-ros-io0d (= ${binary:Version}), libpcl-ros-segmentation0d (= ${binary:Version}), libpcl-ros-surface0d (= ${binary:Version}), libpcl-ros-tf1d (= ${binary:Version})
Description: Bridge between Robot OS library (ROS) and PCL -- development headers
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package includes the development headers.

Package: libpcl-ros-features0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: Bridge between Robot OS library (ROS) and PCL -- features library
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package includes the pcl-ros-features shared library.

Package: libpcl-ros-filter1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: Bridge between Robot OS library (ROS) and PCL -- filter library
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package includes the pcl-ros-filter shared library.

Package: libpcl-ros-filters0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: Bridge between Robot OS library (ROS) and PCL -- filters library
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package includes the pcl-ros-filters shared library.

Package: libpcl-ros-io0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: Bridge between Robot OS library (ROS) and PCL -- io library
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package includes the pcl-ros-io shared library.

Package: libpcl-ros-segmentation0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: Bridge between Robot OS library (ROS) and PCL -- segmentation library
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package includes the pcl-ros-segmentation shared library.

Package: libpcl-ros-surface0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: Bridge between Robot OS library (ROS) and PCL --surface library
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package includes the pcl-ros-surface shared library.

Package: libpcl-ros-tf1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: Bridge between Robot OS library (ROS) and PCL -- tf library
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package includes the pcl-ros-tf shared library.

Package: python3-pcl-ros
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Bridge between Robot OS library (ROS) and PCL -- Python module
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.
 .
 This package includes the Python module.

## ros-perception-pcl 1.7.2

=== debian/changelog ===
ros-perception-pcl (1.7.2-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 18:06:45 +0100

ros-perception-pcl (1.7.2-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Dec 2020 13:21:22 +0100

ros-perception-pcl (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 18 Oct 2020 16:35:10 +0200

ros-perception-pcl (1.7.1-3) unstable; urgency=medium

  * Add patch for missing include (Closes: #971125)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 Sep 2020 22:37:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Johannes 'josch' Schauer <josch@debian.org>
 Build-Depends: debhelper-compat (= 13),
 		catkin, libpcl-dev, libroscpp-dev, libpcl-msgs-dev, libdynamic-reconfigure-config-init-mutex-dev, libmessage-filters-dev, libnodeletlib-dev, libnodelet-topic-tools-dev, librosbag-dev, libtf-dev, libtf2-eigen-dev, librostest-dev, python3-dynamic-reconfigure, dh-sequence-python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libdevel
 Rules-Requires-Root: no
 Homepage: http://wiki.ros.org/perception_pcl

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# dynamic_reconfigure encodes the srcfile with full path
export DEB_BUILD_MAINT_OPTIONS=buildinfo=+path

%:
	dh $@

## ros-perception-pcl 1.7.4

=== debian/changelog ===
ros-perception-pcl (1.7.4-2) unstable; urgency=medium

  * Add patch for new pluginlib
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 19:44:25 +0200

ros-perception-pcl (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 11 Feb 2022 09:41:03 +0100

ros-perception-pcl (1.7.3-3) unstable; urgency=medium

  * Add patch for new log4cxx (Closes: #1004781)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 01 Feb 2022 22:35:57 +0100

ros-perception-pcl (1.7.3-2) unstable; urgency=medium

  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 28 Oct 2021 08:15:26 +0200

ros-perception-pcl (1.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.3

 -- Timo Röhling <roehling@debian.org>  Mon, 27 Sep 2021 21:18:31 +0200

ros-perception-pcl (1.7.2-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:29 +0200

ros-perception-pcl (1.7.2-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 00:33:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
            Johannes 'josch' Schauer <josch@debian.org>
 Build-Depends: debhelper-compat (= 13),
-		catkin, libpcl-dev, libroscpp-dev, libpcl-msgs-dev, libdynamic-reconfigure-config-init-mutex-dev, libmessage-filters-dev, libnodeletlib-dev, libnodelet-topic-tools-dev, librosbag-dev, libtf-dev, libtf2-eigen-dev, librostest-dev, python3-dynamic-reconfigure, dh-sequence-python3
-Standards-Version: 4.5.1
+		catkin (>= 0.8.10-1~), libpcl-dev, libroscpp-dev, libpcl-msgs-dev, libdynamic-reconfigure-config-init-mutex-dev, libmessage-filters-dev, libnodeletlib-dev, libnodelet-topic-tools-dev, librosbag-dev, libtf-dev, libtf2-eigen-dev, librostest-dev, python3-dynamic-reconfigure, dh-sequence-python3, libgtest-dev, python3-rostest <!nocheck>
+Standards-Version: 4.6.1
 Section: libdevel
 Rules-Requires-Root: no
 Homepage: http://wiki.ros.org/perception_pcl

## ros-perception-pcl 1.7.5

=== pcl_conversions/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pcl_conversions)

find_package(catkin REQUIRED COMPONENTS)

find_package(PCL REQUIRED COMPONENTS common io)
find_package(Eigen3 REQUIRED)

# There is a bug in the Ubuntu Artful (17.10) version of the VTK package,
# where it includes /usr/include/*-linux-gnu/freetype2 in the include
# directories (which doesn't exist).  This filters down to the PCL_INCLUDE_DIRS,
# and causes downstream projects trying to use these libraries to fail to
# configure properly.  Here we remove those bogus entries so that downstream
# consumers of this package succeed.
if(NOT "${PCL_INCLUDE_DIRS}" STREQUAL "")
  foreach(item ${PCL_INCLUDE_DIRS})
    string(REGEX MATCH "/usr/include/.*-linux-gnu/freetype2" item ${item})
    if(item)
      list(REMOVE_ITEM PCL_INCLUDE_DIRS ${item})
    endif()
  endforeach()
endif()

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS pcl_msgs roscpp sensor_msgs std_msgs
  DEPENDS EIGEN3 PCL
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(Boost REQUIRED COMPONENTS iostreams)
  find_package(catkin REQUIRED COMPONENTS roscpp pcl_msgs sensor_msgs std_msgs)
  include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${PCL_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS})

  catkin_add_gtest(test_pcl_conversions test/test_pcl_conversions.cpp)
  target_link_libraries(test_pcl_conversions ${catkin_LIBRARIES} ${Boost_LIBRARIES})
endif()

=== pcl_ros/CMakeLists.txt ===
--- 
+++ 
@@ -1,38 +1,13 @@
 cmake_minimum_required(VERSION 3.0.2)
 project(pcl_ros)
 
-add_compile_options(-std=c++14)
-
-## Find system dependencies
-find_package(PCL REQUIRED COMPONENTS core features filters io segmentation surface)
-find_package(cmake_modules REQUIRED)
-find_package(Boost REQUIRED COMPONENTS system filesystem thread)
-find_package(Eigen3 REQUIRED)
-
-if(NOT "${PCL_LIBRARIES}" STREQUAL "")
-  # For debian: https://github.com/ros-perception/perception_pcl/issues/139
-  list(REMOVE_ITEM PCL_LIBRARIES
-    "vtkGUISupportQt"
-    "vtkGUISupportQtOpenGL"
-    "vtkGUISupportQtSQL"
-    "vtkGUISupportQtWebkit"
-    "vtkViewsQt"
-    "vtkRenderingQt")
-endif()
-
-# There is a bug in the Ubuntu Artful (17.10) version of the VTK package,
-# where it includes /usr/include/*-linux-gnu/freetype2 in the include
-# directories (which doesn't exist).  This filters down to the PCL_INCLUDE_DIRS,
-# and causes downstream projects trying to use these libraries to fail to
-# configure properly.  Here we remove those bogus entries so that downstream
-# consumers of this package succeed.
-if(NOT "${PCL_INCLUDE_DIRS}" STREQUAL "")
-  foreach(item ${PCL_INCLUDE_DIRS})
-    string(REGEX MATCH "/usr/include/.*-linux-gnu/freetype2" item ${item})
-    if(item)
-      list(REMOVE_ITEM PCL_INCLUDE_DIRS ${item})
-    endif()
-  endforeach()
+# CMake 3.1 added support for CMAKE_CXX_STANDARD to manage the C++ standard version
+# Use CMake C++ standard management where possible for better interoperability
+# with dependencies that export target standards and/or features
+if (${CMAKE_VERSION} VERSION_LESS "3.1")
+  add_compile_options(-std=c++14)
+else()
+  set(CMAKE_CXX_STANDARD 14)
 endif()
 
 ## Find catkin packages
@@ -56,6 +31,37 @@
   tf2_eigen
   tf2_ros
 )
+
+## Find system dependencies
+find_package(PCL REQUIRED COMPONENTS common features filters io segmentation surface)
+find_package(Boost REQUIRED COMPONENTS system filesystem thread)
+find_package(Eigen3 REQUIRED)
+
+if(NOT "${PCL_LIBRARIES}" STREQUAL "")
+  # For debian: https://github.com/ros-perception/perception_pcl/issues/139
+  list(REMOVE_ITEM PCL_LIBRARIES
+    "vtkGUISupportQt"
+    "vtkGUISupportQtOpenGL"
+    "vtkGUISupportQtSQL"
+    "vtkGUISupportQtWebkit"
+    "vtkViewsQt"
+    "vtkRenderingQt")
+endif()
+
+# There is a bug in the Ubuntu Artful (17.10) version of the VTK package,
+# where it includes /usr/include/*-linux-gnu/freetype2 in the include
+# directories (which doesn't exist).  This filters down to the PCL_INCLUDE_DIRS,
+# and causes downstream projects trying to use these libraries to fail to
+# configure properly.  Here we remove those bogus entries so that downstream
+# consumers of this package succeed.
+if(NOT "${PCL_INCLUDE_DIRS}" STREQUAL "")
+  foreach(item ${PCL_INCLUDE_DIRS})
+    string(REGEX MATCH "/usr/include/.*-linux-gnu/freetype2" item ${item})
+    if(item)
+      list(REMOVE_ITEM PCL_INCLUDE_DIRS ${item})
+    endif()
+  endforeach()
+endif()
 
 ## Add include directories
 include_directories(include)

=== perception_pcl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(perception_pcl)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-perception-pcl (1.7.5-3) unstable; urgency=medium

  [ Timo Röhling ]
  * Migrate debian/watch to version 5 format

  [ Jochen Sprickerhof ]
  * Add versioned depends on libvtk9-dev
  * Drop R³
  * Bump policy version (no changes)
  * Drop unused shlibs:Depends

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Oct 2025 11:35:28 +0200

ros-perception-pcl (1.7.5-2) unstable; urgency=medium

  * Add missing dependency
  * Add versioned dependencies on libpcl-dev

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 14 May 2024 09:30:19 +0200

ros-perception-pcl (1.7.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062867

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:06:13 +0000

ros-perception-pcl (1.7.5-1) unstable; urgency=medium

  * New upstream version 1.7.5
  * Drop upstreamed patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Jan 2023 08:18:39 +0100

ros-perception-pcl (1.7.4-4) unstable; urgency=medium

  * unchaged rebuild for new PCL

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 11 Jan 2023 07:37:54 +0100

ros-perception-pcl (1.7.4-3) unstable; urgency=medium

  * Add patches for PCL 1.13
  * Bump policy version (no changes)
  * Move package description to source package

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Jan 2023 08:28:57 +0100

=== debian/control ===
Source: ros-perception-pcl
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Johannes 'josch' Schauer <josch@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
		catkin (>= 0.8.10-1~), libpcl-dev, libroscpp-dev, libpcl-msgs-dev, libdynamic-reconfigure-config-init-mutex-dev, libmessage-filters-dev, libnodeletlib-dev, libnodelet-topic-tools-dev, librosbag-dev, libtf-dev, libtf2-eigen-dev, librostest-dev, python3-dynamic-reconfigure, dh-sequence-python3, libgtest-dev, python3-rostest <!nocheck>
Standards-Version: 4.7.2
Section: libdevel
Homepage: http://wiki.ros.org/perception_pcl
Vcs-Browser: https://salsa.debian.org/science-team/ros-perception-pcl
Vcs-Git: https://salsa.debian.org/science-team/ros-perception-pcl.git
Description: Bridge between Robot OS library (ROS) and PCL
 PCL (Point Cloud Library) ROS interface stack. PCL-ROS is the
 preferred  bridge for 3D applications involving n-D Point Clouds
 and 3D geometry processing in ROS.

Package: libpcl-conversions-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libroscpp-core-dev, libstd-msgs-dev, libpcl-msgs-dev, libsensor-msgs-dev, libeigen3-dev, libpcl-dev (>= ${pcl:CUR}), libpcl-dev (<< ${pcl:NEXT}), libroscpp-dev, libvtk9-dev (>= ${vtk:CUR}), libvtk9-dev (<< ${vtk:NEXT})
Description: Robot OS library to convert from/to PCL data types
 ${source:Extended-Description}
 .
 This package provides development headers for converting between
 PCL (Point Cloud Library) data types and ROS message types

Package: pcl-ros-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ${source:Synopsis} - tools
 ${source:Extended-Description}
 .
 This package includes the tools.

Package: libpcl-ros-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libdynamic-reconfigure-config-init-mutex-dev, libgeometry-msgs-dev, libmessage-filters-dev, libnodeletlib-dev, libnodelet-topic-tools-dev, libpcl-conversions-dev, librosbag-dev, libtf-dev, libtf2-eigen-dev, libpcl-dev (>= ${pcl:CUR}), libpcl-dev (<< ${pcl:NEXT}), libpcl-ros-features0t64 (= ${binary:Version}), libpcl-ros-filter1t64 (= ${binary:Version}), libpcl-ros-filters0t64 (= ${binary:Version}), libpcl-ros-io0t64 (= ${binary:Version}), libpcl-ros-segmentation0t64 (= ${binary:Version}), libpcl-ros-surface0t64 (= ${binary:Version}), libpcl-ros-tf1t64 (= ${binary:Version}), libvtk9-dev (>= ${vtk:CUR}), libvtk9-dev (<< ${vtk:NEXT})
Description: ${source:Synopsis} - development headers
 ${source:Extended-Description}
 .
 This package includes the development headers.

Package: libpcl-ros-features0t64
Provides: ${t64:Provides}
X-Time64-Compat: libpcl-ros-features0d
Replaces: libpcl-ros-features0d
Breaks: libpcl-ros-features0d (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: ${source:Synopsis} - features library
 ${source:Extended-Description}
 .
 This package includes the pcl-ros-features shared library.

Package: libpcl-ros-filter1t64
Provides: ${t64:Provides}
X-Time64-Compat: libpcl-ros-filter1d
Replaces: libpcl-ros-filter1d
Breaks: libpcl-ros-filter1d (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: ${source:Synopsis} - filter library
 ${source:Extended-Description}
 .
 This package includes the pcl-ros-filter shared library.

Package: libpcl-ros-filters0t64
Provides: ${t64:Provides}
X-Time64-Compat: libpcl-ros-filters0d
Replaces: libpcl-ros-filters0d
Breaks: libpcl-ros-filters0d (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: ${source:Synopsis} - filters library
 ${source:Extended-Description}
 .
 This package includes the pcl-ros-filters shared library.

Package: libpcl-ros-io0t64
Provides: ${t64:Provides}
X-Time64-Compat: libpcl-ros-io0d
Replaces: libpcl-ros-io0d
Breaks: libpcl-ros-io0d (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: ${source:Synopsis} - io library
 ${source:Extended-Description}
 .
 This package includes the pcl-ros-io shared library.

Package: libpcl-ros-segmentation0t64
Provides: ${t64:Provides}
X-Time64-Compat: libpcl-ros-segmentation0d
Replaces: libpcl-ros-segmentation0d
Breaks: libpcl-ros-segmentation0d (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: ${source:Synopsis} - segmentation library
 ${source:Extended-Description}
 .
 This package includes the pcl-ros-segmentation shared library.

Package: libpcl-ros-surface0t64
Provides: ${t64:Provides}
X-Time64-Compat: libpcl-ros-surface0d
Replaces: libpcl-ros-surface0d
Breaks: libpcl-ros-surface0d (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: ${source:Synopsis} - surface library
 ${source:Extended-Description}
 .
 This package includes the pcl-ros-surface shared library.

Package: libpcl-ros-tf1t64
Provides: ${t64:Provides}
X-Time64-Compat: libpcl-ros-tf1d
Replaces: libpcl-ros-tf1d
Breaks: libpcl-ros-tf1d (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: ${source:Synopsis} - tf library
 ${source:Extended-Description}
 .
 This package includes the pcl-ros-tf shared library.

Package: python3-pcl-ros
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - Python module
 ${source:Extended-Description}
 .
 This package includes the Python module.

=== debian/rules ===
#!/usr/bin/make -f

# dynamic_reconfigure encodes the srcfile with full path
export DEB_BUILD_MAINT_OPTIONS = buildinfo=+path hardening=+all

%:
	dh $@

# libpcl-conversions-dev captures the versioned include path of libpcl-dev
PCL_CUR = $(shell dpkg-query -W -f '$${Source:Upstream-Version}' libpcl-dev | awk -F. '{print $$1"."$$2}')
PCL_NEXT = $(shell dpkg-query -W -f '$${Source:Upstream-Version}' libpcl-dev | awk -F. '{print $$1"."$$2+1}')

# libpcl-conversions-dev captures the ABI version of libvtk9-dev
VTK_CUR = $(shell dpkg-query -W -f '$${Source:Upstream-Version}' libvtk9-dev | awk -F. '{print $$1"."$$2}')
VTK_NEXT = $(shell dpkg-query -W -f '$${Source:Upstream-Version}' libvtk9-dev | awk -F. '{print $$1"."$$2+1}')

override_dh_gencontrol:
	dh_gencontrol -- -Vpcl:CUR="$(PCL_CUR)" -Vpcl:NEXT="$(PCL_NEXT)" -Vvtk:CUR="$(VTK_CUR)" -Vvtk:NEXT="$(VTK_NEXT)"

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
	catkin_test_results

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation pcl_conversions pcl_conversions/pcl_conversions.h
Restrictions: allow-stderr
Depends: libpcl-conversions-dev, g++, catkin
Features: test-name=libpcl-conversions-dev

Test-Command: ./debian/tests/compilation pcl_ros pcl_ros/point_cloud.h
Restrictions: allow-stderr
Depends: libpcl-ros-dev, g++, catkin
Features: test-name=libpcl-ros-dev

Test-Command: python3 -c "import pcl_ros"
Restrictions: allow-stderr
Depends: python3-pcl-ros
Features: test-name=python3-pcl-ros

=== debian/watch ===
Version: 5

Template: Github
Owner: ros-perception
Project: perception_pcl
Source: https://api.github.com/repos/ros-perception/perception_pcl/git/matching-refs/tags/1\.
